Skip to main content
GET
/
v5
/
accounting
/
balance
Get balance
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/balance \
  --header 'Authorization: Bearer <token>'
{
  "glAccountId": 52320,
  "bankAccountId": 52320,
  "apiAccountId": "459043850",
  "hasPriorTransactions": false,
  "date": "2020-12-31",
  "balance": 234.56
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

glAccountId
integer<int64>

The id of the general ledger account.

bankAccountId
integer<int64>

The id of the bank account.

apiAccountId
string

The id of the bank account (from your DB).

date
string

First day to exclude in balance.

Response

200 - application/json

Successful operation

glAccountId
integer<int64>

Id of the general ledger account (from Tight's API) for which we are setting the beginning balance.

Example:

52320

bankAccountId
integer<int64>

Id of the Plaid item account (from Tight's API) for which we are setting the beginning balance.

Example:

52320

apiAccountId
string

Id of the bank account (from your DB) for which we are setting the beginning balance.

Example:

"459043850"

hasPriorTransactions
boolean

Whether the user's bank account has reconciled transactions prior to the date specified in the date field

Example:

false

date
string<date>

The date on which to apply this beginning balance; generally the day before the user started tracking their accounting in your system

Example:

"2020-12-31"

balance
number

The balance of this account on the date specified in the date field

Example:

234.56